## org.apache.batik.apps.svgbrowser
Interface NodePickerController

All Known Implementing Classes:
  DOMViewer.DOMViewerNodePickerController

    public interface NodePickerController

Provides the information to control the NodePickerPanel behaviour.

Method Summary
`boolean` `canEdit(org.w3c.dom.Element el)` Whether the given element can be edited with the NodePickerPanel.
`boolean` `isEditable()` Whether NodePickerPanel is should be editable.

Method Detail

### isEditable

    boolean isEditable()

  Whether NodePickerPanel is should be editable.

### canEdit

    boolean canEdit(org.w3c.dom.Element el)

  Whether the given element can be edited with the NodePickerPanel.

  Parameters:
    `el` - The given element
  Returns:
    True if the given element can be edited by a NodePickerPanel

Copyright © 2008 Apache Software Foundation. All Rights Reserved.